Get Work Schedule and Holidays
Given a date range (start date, end date) gets the holidays, work schedule and time off dailies for a list of hrisProfileIds or countries.
Token scopes: time-off:read
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Query parameters
start_date
Start date of non working days date range
end_date
End date of non working days date range
hris_profile_ids
HRIS profile ids
countries
List of countries to be fetched
Response
Successful operation.
data
List of holiday and work schedule information grouped by HRIS profile, including holidays within the date range, work schedule details, and daily work status
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error